hard coded list of ubuntu release names, should use distro-info

Bug #949442 reported by Scott Moser on 2012-03-07
6
This bug affects 1 person
Affects Status Importance Assigned to Milestone
cobbler (Ubuntu)
Medium
Scott Moser
maas (Ubuntu)
Medium
Scott Moser

Bug Description

cobbler should use ubuntu-distro-info in one way or another to get its list of ubuntu releases.
This is instead of using the hard coded list.

cobbler-ubuntu-import already does use it if it is available and thus its already a recommends.

Currently we have debian/patches/47_ubuntu_add_codenames.patch
which has to be updated once per cycle.

Better to use a package that was explicitly designed so that other packages would not need to be updated.

Related Bugs:
 * bug 964008: [MIR] distro-info, distro-info-data, and shunit2

ProblemType: Bug
DistroRelease: Ubuntu 12.04
Package: cobbler 2.2.2-0ubuntu21
ProcVersionSignature: User Name 3.2.0-17.27-virtual 3.2.6
Uname: Linux 3.2.0-17-virtual x86_64
ApportVersion: 1.94-0ubuntu1
Architecture: amd64
Date: Wed Mar 7 21:42:12 2012
PackageArchitecture: all
ProcEnviron:
 TERM=screen
 LANG=en_US.UTF-8
 SHELL=/bin/bash
SourcePackage: cobbler
UpgradeStatus: No upgrade log present (probably fresh install)

Related branches

Scott Moser (smoser) wrote :
Scott Moser (smoser) wrote :

adding maas here, and mentioning that distro-info is trying to get into main so we can add it back as Recommends or even Depends. (bug 964008).

summary: - cobbler has hard coded list of ubuntu release names
+ hard coded list of ubuntu release names, should use distro-info
James Page (james-page) on 2012-03-29
Changed in cobbler (Ubuntu):
importance: Undecided → Medium
Changed in maas (Ubuntu):
importance: Undecided → Medium
Changed in cobbler (Ubuntu):
status: New → Triaged
Changed in maas (Ubuntu):
status: New → Triaged
Scott Moser (smoser) on 2012-04-10
description: updated
Scott Moser (smoser) on 2012-04-10
Changed in cobbler (Ubuntu):
status: Triaged → In Progress
Changed in maas (Ubuntu):
status: Triaged → In Progress
Changed in cobbler (Ubuntu):
assignee: nobody → Scott Moser (smoser)
Changed in maas (Ubuntu):
assignee: nobody → Scott Moser (smoser)
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package cobbler - 2.2.2-0ubuntu32

---------------
cobbler (2.2.2-0ubuntu32) precise; urgency=low

  * replace static list of Ubuntu release names with dependency on
    distro-info in cobbler and and python-distro-info in python-cobbler
    (LP: #949442)
  * check signature of MD5SUMS.gpg against ubuntu-keyring, and verify
    that downloaded content matches expected (LP: #974460)
 -- Scott Moser <email address hidden> Mon, 09 Apr 2012 22:08:22 -0400

Changed in cobbler (Ubuntu):
status: In Progress → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package maas - 0.1+bzr462+dfsg-0ubuntu1

---------------
maas (0.1+bzr462+dfsg-0ubuntu1) precise; urgency=low

  * New upstream release (LP: #980240)

  [ Scott Moser ]
  * add dependency on distro-info (LP: #949442)
  * debian/control: add dependency on tgt for ephemeral iscsi environment

  [ Andres Rodriguez ]
  * Make package lintian clean:
    - maas{-dhcp}.lintian-overrides: Add to make lintian clean.
    - debian/control: Add missing dependencies; correct section and desc.
    - debian/maas.postinst: Do not use absolute path for rabbitmqctl.
    - debian/patches: Add headers to all patches.
  * debian/maas-dhcp.postrm: Added to disable dnsmasq in cobbler on removal.
  * debian/maas.config: Do not set a password with pwgen as it is not an
    essential package; allow dbconfig-common to create a password instead by
    creating an empty question. (LP: #977475)
  * Run MAAS, pserv, txlongpoll as non-root user. (LP: #975436)
    - debian/maas.postinst: Create user/group; set correct permissions for
      directories.
    - debian/maas.postrm: Remove user/group; restart apache2.
    - debian/maas.maas-{pserv,txlongpoll}.upstart: Update to run as non-root
      'maas' user.
  * debian/patches/01-fix-database-settings.patch: Remove adding of PSERV_URL.
  * debian/maas.postinst:
    - Handle config file upgrade from versions lower than 0.1+bzr445+dfsg-0ubuntu1,
      by creating new passwords and updating accordingly
    - use local variables in functions.
    - Handle maas tgt configuration for upgrades from 0.1+bzr459+dfsg-0ubuntu1.
  * debian/extras/99-maas: Add squid-deb-proxy file to enable PPAs. (LP: #979383)
  * debian/maas.install: Install missing commissioning-user-data script.

  [ Dave Walker (Daviey) ]
  * debian/patches/02-pserv-config.patch: Refreshed to apply to updated config.

  [ Gavin Panella ]
  * debian/maas.postinst: Update pserv.yaml and maas_local_settings.py to use
    password.
 -- Andres Rodriguez <email address hidden> Thu, 12 Apr 2012 16:46:22 -0400

Changed in maas (Ubuntu):
status: In Progress → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers